# WP Engine Jump Start

A node module to bring WP Engine's Bootstrap theme into your project.

**BETA: Do not use this in production**

## To use in your project

### Option 1

* Install package

```bash
npm install jump-start
```

* Import main scss file

```scss
// import Jump Start
@import "path/to/jump-start/src/scss/jump-start"

// @import your app-specific styles below
```

* Include your own scss files BELOW jump-start

### Option 2

* Add the following line in the `<head>` of your html (note, this url is a temporary solution)

```html
<link rel="stylesheet" type="text/css" href="https://rawgit.com/hello-jason/jump-start/master/dist/css/jump-start.css">
```

---

## Developing this package

* Clone this repo

* Install dependencies

```bash
npm install
```

### Gulp tasks

*watch* - Watches for changes in `src/scss/*.scss` then runs build task

```bash
gulp watch
```

*build* - Compiles SCSS, then minifies and gzips and places into `dist/css`

```bash
gulp build
```
